Debian Bug report logs - #460456
live-initramfs: live script unable to mount USB sqaushfs filesystem.

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Jean Pierre LeJacq <jplejacq@quoininc.com>

Date: Sat, 12 Jan 2008 20:39:11 UTC

Severity: important

Tags: patch

Found in version live-initramfs/1.110.5-1

Fixed in version live-initramfs/1.139.1-2

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#460456; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to Jean Pierre LeJacq <jplejacq@quoininc.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jean Pierre LeJacq <jplejacq@quoininc.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-initramfs: live script unable to mount USB sqaushfs filesystem.
Date: Sat, 12 Jan 2008 15:38:33 -0500
[Message part 1 (text/plain, inline)]
Package: live-initramfs
Version: 1.110.5-1
Severity: grave
Tags: patch
Justification: renders package unusable


The live script uses a mount command that specifies the type of the filesystem
to mount. For some reason this fails dropping me into the initramfs prompt. I
get the following in the live.log file:

  debug: Can not mount backev /dev/loop0 (image 
= /live/image/live/filesystem.squashfs) on 
croot/imagename //filesystem.squashfs
  mount: failed ...

I've attached a patch that removes the type which allows the mount to 
complete.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-qi.dv6200 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-initramfs depends on:
ii  busybox                       1:1.1.3-5  Tiny utilities for small and 
embed
ii  file                          4.21-4     Determines file type 
using "magic"
ii  initramfs-tools               0.91d      tools for generating an initramfs
ii  sudo                          1.6.9p10-1 Provide limited super user 
privile
ii  user-setup                    1.16       Set up initial user and password

Versions of packages live-initramfs recommends:
ii  eject                         2.1.5-6    ejects CDs and operates 
CD-Changer
pn  live-initscripts              <none>     (no description available)
ii  wget                          1.10.2-3   retrieves files from the web
[live.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#460456; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 460456@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 460456@bugs.debian.org, Jean Pierre LeJacq <jplejacq@quoininc.com>
Subject: Re: live-initramfs: live script unable to mount USB sqaushfs filesystem.
Date: Sun, 13 Jan 2008 08:44:23 +0100
severity 460456 important
thanks

Hi,

could you please retry with the current version, 1.110-7?

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Severity set to `important' from `grave' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 13 Jan 2008 07:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#460456; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 460456@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Jean Pierre LeJacq <jplejacq@quoininc.com>
Cc: 460456@bugs.debian.org
Subject: Re: live-initramfs: live script unable to mount USB sqaushfs filesystem.
Date: Sun, 27 Apr 2008 08:26:40 +0200
Hi,

can you please retry with a current version of live-initramfs?

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#460456; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to Jordi Pujol <jordipujolp@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 460456@bugs.debian.org (full text, mbox):

From: Jordi Pujol <jordipujolp@gmail.com>
To: debian-live-devel@lists.alioth.debian.org
Cc: 460456@bugs.debian.org
Subject: Re: Bug#460456: live-initramfs: live script unable to mount USB sqaushfs filesystem.
Date: Sun, 27 Apr 2008 09:32:25 +0200
Hello all,

Looking at the first message, there is a proposal about not specifying the 
filesystem type in the mounting, this should not be done because only the 
type of some filesystems is detected automatically, while for others is 
obligatory to specify it. In consequence is more adequate that, when the 
fiesystem is not detected, use the extension of the filename, 

			if [ "${fstype}" = "unknown" ]
			then
				panic "Unknown file system type on ${backdev} (${image})"
			fi

+			if [ -z "${fstype}" ]
+			then
+				fstype="${imagename##*.}"
+				log_warning_msg "Unknown file system type on ${backdev} (${image}) 
Assuming ${fstype}"
+			fi
+ 
			mkdir -p "${croot}/${imagename}"

on the other hand, to start with USB is necessary to wait some seconds 
(between 10 and 20) to allow slow USB devices to register; live-initramfs 
does that when the parameter live-media-timeout is specified,

Regards,

Jordi

El Sunday 27 April 2008 08:26:40 Daniel Baumann va escriure:
> Hi,
>
> can you please retry with a current version of live-initramfs?
>
> Regards,
> Daniel






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#460456; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to Olivier <oliv@gensys-net.eu>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 460456@bugs.debian.org (full text, mbox):

From: Olivier <oliv@gensys-net.eu>
To: 460456@bugs.debian.org
Subject: Re: Bug#460456: live-initramfs: live script unable to mount USB sqaushfs filesystem.
Date: Sun, 22 Jun 2008 18:12:57 +0200
Hi All,

I've got similar problem with 1.132.1-1 version:

busybox, unable to mount filesystem.squashfs, /dev/sde not found ...

+Oliv




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#460456; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 460456@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 460456@bugs.debian.org, 460456-submitter@bugs.debian.org
Subject: Re: live-initramfs: live script unable to mount USB sqaushfs filesystem.
Date: Mon, 25 Aug 2008 13:15:52 +0200
tags 460456 +pending
thanks

Hi,

the original problem of the bug report is, that the system fails to boot
with an rootfs from usb. live-initramfs works well in that case,
however, there can be a problem on the users site as already mentioned
in the bug report, that can be workarounded by setting the usb delay a
bit higher (live-media-timeout that is).

Nevertheless, Jordis patch also helps in some cases. That was applied in
git.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 25 Aug 2008 11:18:06 GMT) Full text and rfc822 format available.

Message sent on to Jean Pierre LeJacq <jplejacq@quoininc.com>:
Bug#460456. Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jean Pierre LeJacq <jplejacq@quoininc.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 460456-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 460456-close@bugs.debian.org
Subject: Bug#460456: fixed in live-initramfs 1.139.1-2
Date: Sun, 31 Aug 2008 18:47:06 +0000
Source: live-initramfs
Source-Version: 1.139.1-2

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.139.1-2.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.139.1-2.diff.gz
live-initramfs_1.139.1-2.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.139.1-2.dsc
live-initramfs_1.139.1-2_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.139.1-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 460456@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon,  1 Sep 2008 00:00:00 +0200
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.139.1-2
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 460456
Changes: 
 live-initramfs (1.139.1-2) unstable; urgency=medium
 .
   [ Daniel Baumann ]
   * If the filesystem type of the rootfs cannot be automatically detected, we
     try to assume it from the extension of the imagefile we have found. Thanks
     to Jordi Pujol <jordi_pujol@telefonica.net> (Closes: #460456).
   * Setting project email address to the new debian-live@lists.debian.org.
   * Disabling default usage of local swap partitions. Can be enabled with the
     'swapon' boot parameter. Thanks to Joseph Rawson <umeboshi3@gmail.com> for
     bringing it up.
 .
   [ Michal Suchanek ]
   * Enabling the "remove CD" prompt in splashy.
Checksums-Sha1: 
 c633402c216fb3ed7ccfca89e13302e5f7b08b17 1301 live-initramfs_1.139.1-2.dsc
 ed6552cf12b1a769aa0b79ae42d0f5afae1b26b0 9869 live-initramfs_1.139.1-2.diff.gz
 f77474bb79b7b37d0724ebd510c9788b2402a179 81058 live-initramfs_1.139.1-2_all.deb
Checksums-Sha256: 
 d185dccbeff353c2d521fd430cb90f378c82c06ef7fe7bc6db35072c131c20dd 1301 live-initramfs_1.139.1-2.dsc
 c3caf87c96af6c4fcf01a2e8a44b92564bd5bd805171101f4126865a82459b2a 9869 live-initramfs_1.139.1-2.diff.gz
 bc96f0000634e4aeb2a1d9a7bb1e19d389936b2593a2ef229ccb75601f6c4d01 81058 live-initramfs_1.139.1-2_all.deb
Files: 
 222000525f1f8806926d477dc35976b7 1301 misc optional live-initramfs_1.139.1-2.dsc
 1e4d01886a711ab7375a80a418eb0a93 9869 misc optional live-initramfs_1.139.1-2.diff.gz
 921e34e1e9dac169933b193bccf67485 81058 misc optional live-initramfs_1.139.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAki65TYACgkQ+C5cwEsrK57SEgCePmh5S/jV/wwaqknmBqYHmFyl
CGUAn25MQtXIqwMNkp21B8xpyh6WWWJf
=znjt
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Oct 2008 07:28:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:30:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.